'----------------
'Countdown v1.0
'by Rustkill
'----------------
'
'NOTE:
'-----
'target_date needs to be in format dd/mm/yy (or mm/dd/yy etc. depending on your machine's settings)
'target_time needs to be in format hh:mm:ssAM/PM (ie 12:34:56PM)
'
'Any problems message me.
'
'Rust.

Function CountDown(target_date, target_time)
	Dim count, d, current, targetDate, targetTime, targetTime24, tSecond, tMinute, tHour

	targetDate = FormatDateTime(target_date,2)
	targetTime = FormatDateTime(target_time,3)
	targetTime24 = FormatDateTime(target_time,4)
	tSeconds = Second(targetTime)
	tMinutes = Minute(targetTime)
	tHours = Hour(targetTime24)

	target = DateValue(targetDate)

	current = Now

	weeks = DateDiff("ww",current,target)
	days = DateDiff("d",current,target)
	hours = DateDiff("h",current,target)
	minutes = DateDiff("n",current,target)
	seconds = DateDiff("s",current,target)
	minutes = seconds/60
	hours = minutes/60
	seconds = seconds + tSeconds
	minutes = minutes + tMinutes
	hours = hours + tHours
	days = hours/24
	if seconds > 60 then
		seconds = seconds mod 60
	end if
	if minutes > 60 then
		minutes = minutes mod 60
	end if
	if hours > 24 then
		hours = hours mod 24
	end if

	days = FormatNumber(days,0)

	count = days & " days, " & hours & " hours, " & minutes & " minutes, " & seconds & " seconds."

	CountDown = count
	
End Function